Bug 9658 - Breadcrumb wrong on reports dictionary
Summary: Breadcrumb wrong on reports dictionary
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Jared Camins-Esakov
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-18 13:11 UTC by Jared Camins-Esakov
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9658: Incorrect breadcrumb on report dictionary (1.78 KB, patch)
2013-02-18 13:20 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9658: Incorrect breadcrumb on report dictionary (1.91 KB, patch)
2013-02-18 19:47 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9658: Incorrect breadcrumb on report dictionary (1.97 KB, patch)
2013-02-19 09:21 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2013-02-18 13:11:01 UTC
The breadcrumb on the reports dictionary looks like this: Home › Reports › Guided reports wizard Dictionary (without the small arrow, and with dictionary bolded)
rather than like this, the way it should: Home › Reports › Guided reports wizard › Dictionary
Comment 1 Jared Camins-Esakov 2013-02-18 13:20:57 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-02-18 19:47:57 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-02-19 09:21:03 UTC
QA comment:
Works as expected. Simple patch.
Marked as Passed QA.
Comment 4 Jonathan Druart 2013-02-19 09:21:13 UTC
Created attachment 15526 [details] [review]
Bug 9658: Incorrect breadcrumb on report dictionary

Prior to this patch, the breadcrumb on the reports dictionary looks
like this: Home > Reports > Guided reports wizard Dictionary (notice
the lack of punctuation between "wizard" and "Dictionary").
This patch makes it consistent with the rest of the system so it looks
like this: Home > Reports > Guided reports wizard > Dictionary

I left dictionary bolded, since that seems to have been intentional,
even if I can't find a good reason for it.

To test:
1) View reports dictionary page before and after patch is applied,
   observing difference.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Trivial patch. Work as described. No errors
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jared Camins-Esakov 2013-02-20 13:22:11 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-02-26 09:32:02 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.4 and 3.8.11